//
//  RoomController.swift
//  fiveConstant
//
//  Created by 李建 on 2023/2/14.
//

import Foundation

final class RoomController {
    private var roomId: String
    private var gatewayId: String
    private var controlNumber: String
    
    init(roomId: String, gatewayId: String, controlNumber: String) {
        self.roomId = roomId
        self.gatewayId = gatewayId
        self.controlNumber = controlNumber
    }
    
    func PowerOn() {
        let data = PowerControlReq(controlNumber: self.controlNumber, gateway: self.gatewayId, power: true)
        HttpRequest<String>.loadData(target: RoomControlApi.power(data: data)) { returnData in
            
        }
    }
    func PowerOff() {
        let data = PowerControlReq(controlNumber: self.controlNumber, gateway: self.gatewayId, power: false)
        HttpRequest<String>.loadData(target: RoomControlApi.power(data: data)) { returnData in
            
        }
    }
    
    func SetTemp(value:Int) {
        let data = TempControlReq(controlNumber: self.controlNumber, gateway: self.gatewayId, temp: value)
        HttpRequest<String>.loadData(target: RoomControlApi.temp(data: data)) { returnData in
            
        }
    }
    
    func SetMode(value: Int) {
        let data = ModeControlReq(controlNumber: self.controlNumber, gateway: self.gatewayId, mode: value)
        HttpRequest<String>.loadData(target: RoomControlApi.mode(data: data)) { returnData in
            
        }
    }
    
    func SetFanSpeed(value: Int) {
        let data = FanSpeedControlReq(controlNumber: self.controlNumber, gateway: self.gatewayId, speed: value)
        HttpRequest<String>.loadData(target: RoomControlApi.fanSpeed(data: data)) { returnData in
            
        }
    }
}
