//
//  LoginAPI.swift
//  fiveConstant
//
//  Created by 李建 on 2023/1/18.
//

import Foundation
import Moya


enum LoginAPI {
    case getCheckCode(data: GetCheckCodeReq)
    case smsLogin(param: SMSLoginReq)
    case passwordLogin(param: PasswordLoginReq)
}

extension LoginAPI: TargetType {
    var baseURL: URL {
        return URL(string: BASE_URL)!
    }
    
    var headers: [String : String]? {
        return nil
    }
    
    var sampleData: Data {
        return "{}".data(using: String.Encoding.utf8)!
    }
    
    var path: String {
        switch self {
        case .getCheckCode:
            return "/api/v1/login/code"
        case .smsLogin:
            return "/api/v1/login/sms"
        case .passwordLogin:
            return "/api/v1/login/password"
        }
    }
    
    var method: Moya.Method {
        return .post
    }
    
    var task: Moya.Task {
        switch self {
        case .getCheckCode(let data):
            return .requestJSONEncodable(data)
        case .smsLogin(let p):
            return .requestJSONEncodable(p)
        case .passwordLogin(let param):
            return .requestJSONEncodable(param)
        }
    }
    
    
}
