//
//  RoomControlModel.swift
//  fiveConstant
//
//  Created by 李建 on 2023/2/14.
//

import Foundation

/// 电源控制请求
struct PowerControlReq: Encodable {
    /// 分控编号
      var controlNumber: String
      /// 网关
      var gateway: String
      /// 风阀开关量/电源开关量
      var power: Bool
}
/// 模式控制
struct ModeControlReq: Encodable {
    /// 分控编号
    var controlNumber: String
    /// 网关
    var gateway: String
    /// 预设模式，工作模式(1:制冷,2:制热，3：除湿4：送风5：新风 6:加湿)
    var mode: Int
}
/// 温度控制
struct TempControlReq: Encodable {
    /// 分控编号
    var controlNumber: String
    /// 网关
    var gateway: String
    /// 温度（16-30）
    var temp: Int
}
/// 风速控制
struct FanSpeedControlReq: Encodable {
    /// 分控编号
    var controlNumber: String
    /// 网关
    var gateway: String
    /// 预设风速(0：自动； 1：1档； 2：2 档； 3： 3 档； 4：4 档； 5： 5 档； 6：超强档；)
    var speed: Int
}
